/* Tester for Detection DLL */

#include <stdio.h>
#include <stdlib.h>
#include <windows.h>

#include "detect.h"

static void TestDetectEntrySyncPort(void)
{
	DWORD nResult;
	LPSTR pszResult;
	LPTSTR Arg[Arg_Count];

   Arg[Arg_ParentWindow] = "0x00000000";

	Arg[Arg_ComponentName] = "SyncPort";

	Arg[Arg_BusType] = "1";
	Arg[Arg_BusNumber] = "0";

	Arg[Arg_IOBaseList] = "{}";
	Arg[Arg_MemBaseList] = "{}";
	Arg[Arg_IRQList] = "{}";

	nResult = DetectEntry(7, Arg, &pszResult);

	printf("Return = %d, Result = %s\n", nResult, pszResult);
}

static void TestDetectEntryHouston(void)
{
	DWORD nResult;
	LPSTR pszResult;
	LPTSTR Arg[Arg_Count];

   Arg[Arg_ParentWindow] = "0x00000000";

	Arg[Arg_ComponentName] = "Houston";

	Arg[Arg_BusType] = "5";
	Arg[Arg_BusNumber] = "0";

	Arg[Arg_SlotNumber] = "10";

	nResult = DetectEntry(5, Arg, &pszResult);

	printf("Return = %d, Result = %s\n", nResult, pszResult);
}

int main(void)
{
   // TestDetectEntrySyncPort();
   TestDetectEntryHouston();

	return EXIT_SUCCESS;
}
